/* add all the colors assigned */
@use '@angular/material' as mat;
// @import "@angular/material/theming";

@import '@angular/material/theming';
@import '_color.scss';

@include mat.core();

$custom-ai4eu-primary: mat.define-palette($primary-palette, 500);
$custom-ai4eu-accent:  mat.define-palette($primary-palette);
$custom-ai4eu-warn:    mat.define-palette($secondary-palette , 500);

$custom-ai4eu-typography: mat.define-typography-config(
  $font-family: 'sans-serif'
);

$custom-ai4eu-theme: mat.define-light-theme((
  color: (
    primary: $custom-ai4eu-primary,
    accent: $custom-ai4eu-accent,
    warn: $custom-ai4eu-warn,
  ),
  typography: $custom-ai4eu-typography,
  density: 0,
));

@include mat.all-component-themes($custom-ai4eu-theme);
@include mat.all-legacy-component-themes($custom-ai4eu-theme);

@mixin color-theme($theme) {
  $primary: map-get($theme, primary);
  $accent: map-get($theme, accent);
  $warn: map-get($theme, warn);
  $button-text: null;
  $text-color: white;
  $color: mat.get-color-from-palette($primary); // Darker background, return light color
  $background-color: mat.get-color-from-palette($primary);

  mat-nav-list a.active {
    background-color: mat.get-color-from-palette($primary);
    color: $text-color !important;
  }

  mat-nav-list a.hover:not(.disabled-filter) {
    background-color: #ececec;
  }

  .disabled-filter {
    color: mat.get-color-from-palette($primary, 600);
  }

  .mat-drawer-container {
    background-color: mat.get-color-from-palette($primary, A100);
  }

  .filter-title {
    color: mat.get-color-from-palette($primary);
  }

  #_mdspcontent,
  .mat-drawer-container {
    background-color: mat.get-color-from-palette($primary, A700);
  }

  #_mdspcontent {
    overflow-y: unset !important;
  }

  .mat-tab-label,
  .mat-tab-link {
    color: mat.get-color-from-palette($accent, 100);
    &.mat-tab-label-active {
      color: mat.get-color-from-palette($primary, 900);
    }
  }

  .mat-ink-bar {
    background-color: transparent !important;
    border-bottom: 3px solid mat.get-color-from-palette($primary, 900);
  }

  mat-toolbar button.toggle-button {
    color: rgb(135, 155, 110);
    background-color: mat.get-color-from-palette($accent, 400);
  }

  .toolbar-header {
    background-color: mat.get-color-from-palette($primary, A200);
  }
}
